var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import _get from 'lodash/get';
import { AppflowClient, ConnectorType, DescribeConnectorEntityCommand, } from '@aws-sdk/client-appflow';
export function describeConnectorEntity({ accessKey, secretKey, region, connectionName, objectName, }) {
    var _a;
    return __awaiter(this, void 0, void 0, function* () {
        const appFlowClient = new AppflowClient({
            region,
            credentials: {
                accessKeyId: accessKey,
                secretAccessKey: secretKey,
            },
        });
        const params = {
            connectorType: ConnectorType.SALESFORCE,
            connectorProfileName: connectionName,
            connectorEntityName: objectName,
        };
        const data = yield appFlowClient.send(new DescribeConnectorEntityCommand(params));
        const fields = (_a = data.connectorEntityFields) !== null && _a !== void 0 ? _a : [];
        const extract = (field) => {
            var _a, _b;
            return {
                // see https://docs.aws.amazon.com/AWSJavaScriptSDK/v3/latest/clients/client-appflow/modules/connectorentityfield.html
                type: _get(field, 'supportedFieldTypeDetails.v1.fieldType', ''),
                name: (_a = field.identifier) !== null && _a !== void 0 ? _a : '',
                label: (_b = field.label) !== null && _b !== void 0 ? _b : '',
            };
        };
        return fields.map(extract);
    });
}
//# sourceMappingURL=describeConnectorEntity.js.map