var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { AppflowClient, ConnectorType, DescribeConnectorProfilesCommand, } from '@aws-sdk/client-appflow';
export function describeConnectorProfiles({ accessKey, secretKey, region, }) {
    var _a;
    return __awaiter(this, void 0, void 0, function* () {
        const appFlowClient = new AppflowClient({
            region,
            credentials: {
                accessKeyId: accessKey,
                secretAccessKey: secretKey,
            },
        });
        const params = {
            connectorType: ConnectorType.SALESFORCE,
            maxResults: 100,
        };
        const names = [];
        do {
            const data = yield appFlowClient.send(new DescribeConnectorProfilesCommand(params));
            params.nextToken = data.nextToken;
            names.push(...((_a = data.connectorProfileDetails) !== null && _a !== void 0 ? _a : []).map((connector) => connector.connectorProfileName));
        } while (params.nextToken);
        return names;
    });
}
//# sourceMappingURL=describeConnectorProfiles.js.map