import { Parameter } from '@aws-sdk/client-cloudformation';
import { CredentialsInput } from 'helpers/validate-credentials';
export interface CreateStackInput extends CredentialsInput {
    parameters: Parameter[];
    stackName: string;
    templateBody?: string;
    templateURL?: string;
    requestToken: string;
}
/**
 * Creates a stack.
 */
export declare function createStack({ accessKey, secretKey, region, parameters, stackName, templateBody, templateURL, requestToken, }: CreateStackInput): Promise<string>;
