var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { CloudFormationClient, DescribeStackResourcesCommand, } from '@aws-sdk/client-cloudformation';
/**
 * Returns the stack resources
 */
export function describeStackResources({ accessKey, secretKey, region, stackName, logicalResourceId, physicalResourceId, }) {
    var _a;
    return __awaiter(this, void 0, void 0, function* () {
        const cfnClient = new CloudFormationClient({
            region,
            credentials: {
                accessKeyId: accessKey,
                secretAccessKey: secretKey,
            },
        });
        const params = {
            StackName: stackName,
            LogicalResourceId: logicalResourceId,
            PhysicalResourceId: physicalResourceId,
        };
        const data = yield cfnClient.send(new DescribeStackResourcesCommand(params));
        return (_a = data.StackResources) !== null && _a !== void 0 ? _a : [];
    });
}
//# sourceMappingURL=describeStackResources.js.map