var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { CloudFormationClient, ListStacksCommand, } from '@aws-sdk/client-cloudformation';
export function listStacks({ accessKey, secretKey, region, statusArray, }) {
    return __awaiter(this, void 0, void 0, function* () {
        const client = new CloudFormationClient({
            region,
            credentials: {
                accessKeyId: accessKey,
                secretAccessKey: secretKey,
            },
        });
        const params = { StackStatusFilter: statusArray };
        let data;
        const result = [];
        do {
            data = yield client.send(new ListStacksCommand(params));
            if (data.StackSummaries && data.StackSummaries.length > 0) {
                result.push(...data.StackSummaries);
            }
            params.NextToken = data.NextToken;
        } while (params.NextToken);
        return result;
    });
}
//# sourceMappingURL=listStacks.js.map