var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { DynamoDBClient, PutItemCommand } from '@aws-sdk/client-dynamodb';
export function putItem({ accessKey, secretKey, region, tableName, item }) {
    return __awaiter(this, void 0, void 0, function* () {
        const client = accessKey && secretKey
            ? new DynamoDBClient({
                region,
                credentials: {
                    accessKeyId: accessKey,
                    secretAccessKey: secretKey,
                },
            })
            : new DynamoDBClient({
                region,
            });
        const params = {
            TableName: tableName,
            Item: item,
        };
        try {
            const data = yield client.send(new PutItemCommand(params));
            return data.$metadata.httpStatusCode === 204;
        }
        catch (error) {
            console.log(error);
            return false;
        }
    });
}
//# sourceMappingURL=putItem.js.map