var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { IAMClient, CreateUserCommand } from '@aws-sdk/client-iam';
/**
 * Creates an IAM user.
 */
export function createUser({ accessKey, secretKey, region, pathPrefix, userName, }) {
    return __awaiter(this, void 0, void 0, function* () {
        const client = new IAMClient({
            region,
            credentials: {
                accessKeyId: accessKey,
                secretAccessKey: secretKey,
            },
        });
        const params = {
            Path: pathPrefix,
            UserName: userName,
        };
        const data = yield client.send(new CreateUserCommand(params));
        if (!data.User) {
            throw new Error(`No user was returned from calling AWS IAM API (createUser)`);
        }
        return data.User;
    });
}
//# sourceMappingURL=createUser.js.map