var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { IAMClient, ListUserPoliciesCommand, } from '@aws-sdk/client-iam';
export function listUserInlinePolicies({ accessKey, secretKey, region, userName, }) {
    return __awaiter(this, void 0, void 0, function* () {
        const client = new IAMClient({
            region,
            credentials: {
                accessKeyId: accessKey,
                secretAccessKey: secretKey,
            },
        });
        const params = {
            UserName: userName,
            MaxItems: 999,
        };
        let data;
        const result = [];
        do {
            data = yield client.send(new ListUserPoliciesCommand(params));
            params.Marker = data.Marker;
            if (data.PolicyNames && data.PolicyNames.length > 0) {
                result.push(...data.PolicyNames);
            }
        } while (data.IsTruncated);
        return result;
    });
}
//# sourceMappingURL=listUserInlinePolicies.js.map