var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { S3Client, ListObjectsV2Command } from '@aws-sdk/client-s3';
/**
 * List objects in s3
 */
export function listObjects({ accessKey, secretKey, region, bucketName, prefix, }) {
    var _a;
    return __awaiter(this, void 0, void 0, function* () {
        const client = new S3Client({
            region,
            credentials: {
                accessKeyId: accessKey,
                secretAccessKey: secretKey,
            },
        });
        const params = {
            Bucket: bucketName,
            MaxKeys: 1000,
            Prefix: prefix,
        };
        const result = [];
        do {
            const data = yield client.send(new ListObjectsV2Command(params));
            params.ContinuationToken = data.NextContinuationToken;
            for (const object of (_a = data.Contents) !== null && _a !== void 0 ? _a : []) {
                if (object.Key && object.ETag) {
                    result.push({
                        key: object.Key,
                        etag: object.ETag,
                    });
                }
            }
        } while (params.ContinuationToken);
        return result;
    });
}
//# sourceMappingURL=listObjects.js.map