var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import { S3Client, PutObjectCommand } from '@aws-sdk/client-s3';
/**
 * Uploads a json file to S3
 */
export function putObject({ accessKey, secretKey, region, bucketName, objectKey, jsonContent, kmsKeyId, }) {
    return __awaiter(this, void 0, void 0, function* () {
        const cfnClient = new S3Client({
            region,
            credentials: {
                accessKeyId: accessKey,
                secretAccessKey: secretKey,
            },
        });
        const params = {
            Bucket: bucketName,
            Key: objectKey,
            Body: jsonContent,
            ContentType: 'application/json',
            ServerSideEncryption: 'aws:kms',
            SSEKMSKeyId: kmsKeyId,
        };
        yield cfnClient.send(new PutObjectCommand(params));
    });
}
//# sourceMappingURL=putObject.js.map