import { HistoryEvent } from '@aws-sdk/client-sfn';
import { CredentialsInput } from 'helpers/validate-credentials';
export interface GetSFNHistory extends CredentialsInput {
    executionArn: string;
}
export declare const isExecutionFailureEvent: (event: HistoryEvent) => boolean;
export interface ExecutionFailureInfo {
    cause: string;
    error: string;
}
export declare const getExecutionFailureInfo: (event: HistoryEvent) => ExecutionFailureInfo;
/**
 * Get the history of the execution of a step functions state machine
 */
export declare function getExecutionHistory({ accessKey, secretKey, region, executionArn, }: GetSFNHistory): Promise<HistoryEvent[]>;
